#ifndef _QMYEVENT_H_
#define _QMYEVENT_H_

#include <qevent.h>
#include <string>

using namespace std;

class WriteCustomEvent : public QCustomEvent {
 public:
  WriteCustomEvent(int type, string msg);
  ~WriteCustomEvent();
  
  string getMsg(void);
private:
  string msg;
};

class ResizeCustomEvent : public QCustomEvent {
public:
  ResizeCustomEvent(int x, int y);
  ~ResizeCustomEvent();
  int getX();
  int getY();
private:
  int x;
  int y;
};

class ButtonShowHideCustomEvent : public QCustomEvent {
public:
  ButtonShowHideCustomEvent(bool vis);
  ~ButtonShowHideCustomEvent();
  bool getStatus();
private:
  bool visible;
};

class DrawInterfaceCustomEvent : public QCustomEvent {
public:
  DrawInterfaceCustomEvent(bool all);
  ~DrawInterfaceCustomEvent();
  bool mustDrawAll(void);
private:
  bool all;
};

#endif

